# -*- coding: UTF-8 -*-
from setuphelpers import *

uninstallkey = []

def install():

    for uninstallkey in installed_softwares('Mozilla Firefox'):
        locationfirefox =  uninstallkey['install_location']

        print("Disabling auto update")
        filecopyto("mozilla.cfg",makepath(locationfirefox))
        filecopyto("local-settings.js",makepath(locationfirefox,"defaults","pref"))

        print ("Disabling profile migration from ie")
        filecopyto("override.ini",makepath(locationfirefox,"browser"))

        print ("Override User UI")
        ensure_dir(makepath(locationfirefox,"browser","defaults","profile","chrome",""))
        filecopyto("userChrome.css",makepath(locationfirefox,"browser","defaults","profile","chrome"))

        """
        print ("Deploy extensions")
        ensure_dir(makepath(installlocation,"browser","extensions",""))
        copytree2("extensions",makepath(installlocation,"browser","extensions"))
        """
